Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(160)

Issue 2841433002: Generate StyleBackgroundData in ComputedStyleBase. (Closed)

Created:
2 years, 4 months ago by shend
Modified:
2 years, 4 months ago
Reviewers:
nainar, rune
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Generate StyleBackgroundData in ComputedStyleBase. This patch generates the following fields as part of a group: - background ('storage_only' of type FillLayer) - background_color ('storage_only' of type Color) Since both fields correspond to shorthands, we specify them in ComputedStyleExtraFields.json5. Diff of generated files: https://gist.github.com/darrnshn/48a62d4ef7efe9f7a8c2b707eb57644f/revisions BUG=628043 Review-Url: https://codereview.chromium.org/2841433002 Cr-Commit-Position: refs/heads/master@{#467561} Committed: https://chromium.googlesource.com/chromium/src/+/9cd2845fb2b733d9d3852839d47f4dc93bdec090

Patch Set 1 #

Patch Set 2 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -123 lines) Patch
M third_party/WebKit/Source/core/css/ComputedStyleExtraFields.json5 View 1 chunk +14 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/style/BUILD.gn View 1 chunk +0 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 5 chunks +8 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.cpp View 4 chunks +0 lines, -4 lines 0 comments Download
D third_party/WebKit/Source/core/style/StyleBackgroundData.h View 1 chunk +0 lines, -67 lines 0 comments Download
D third_party/WebKit/Source/core/style/StyleBackgroundData.cpp View 1 chunk +0 lines, -42 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 25 (19 generated)
shend
Hi Naina, PTAL :)
2 years, 4 months ago (2017-04-24 07:15:40 UTC) #5
nainar
YEAH! \o/ LGTM
2 years, 4 months ago (2017-04-24 09:51:26 UTC) #8
rune
rs lgtm
2 years, 4 months ago (2017-04-26 09:01:11 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2841433002/20001
2 years, 4 months ago (2017-04-27 03:05:01 UTC) #21
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://chromium.googlesource.com/chromium/src/+/9cd2845fb2b733d9d3852839d47f4dc93bdec090
2 years, 4 months ago (2017-04-27 03:09:42 UTC) #24
shend
2 years, 3 months ago (2017-05-01 03:58:03 UTC) #25
Message was sent while issue was closed.
A revert of this CL (patchset #2 id:20001) has been created in
https://codereview.chromium.org/2849123002/ by shend@chromium.org.

The reason for reverting is: testing.

Powered by Google App Engine
This is Rietveld 408576698